* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	/*display: flex;*/
	/*flex-direction: column;*/
	height: 100vh;
	width: 100%;
	background-color: #000;
	color: #fff;
	font-size: 14px;
	font-family: 'Quicksand', sans-serif;
}

.warning {
	padding: 5px 10px;
	margin: 0 0 35px 0;
	background-color: #2f2f2f;
	font-weight: 700;
	transition: background-color 0.5s ease;
}

.wrapper {
	padding: 20px;
}

.row {
	display: flex;
	align-items: center;
}

#desc {
	margin: 0 0 15px 0;
}

.toggle_buttons {
	display: flex;
	margin: 0 0 35px 0;
}

.toggle_buttons a {
	display: flex;
	align-items: center;
	text-align: center;
	outline: none;
	border: none;
	margin-right: 15px;
	padding: 5px;
	border-radius: 2px;
	text-decoration: none;
	color: #000;
	background: #fff;
	margin: 0 10px 0 0;
	font-size: 18px;
	transition: all .125s ease;
}

.toggle_buttons a.active {
	color: #fff;
	background: #f41f86;
}

.toggle_buttons a#reset.active  {
	background: #fff;
	color: #000;
}

h1 {
	font-size: 30px;
	margin: 0 0 5px 0;
}

h2 {
	font-size: 22px;
	margin: 0 0 10px 0;
	font-weight: 400;
}

span {
	display: none;
}

span.minimal {
	width: 100%;
	height: 3px;
	background: #f41f86;
	display: block;
	margin: 0 0 20px 0;
}

input[type="text"] {
	background: #1a1a1a;
	width: 350px;
	border: none;
	outline: none;
	text-decoration: none;
	color: #f41f86;
	font-size: 22px;
	padding: 5px;
	margin: 0;
	-webkit-appearance: none;
	-moz-appearance:    none;
	appearance:         none;
	font-family: 'Quicksand', sans-serif;
	border-radius: 2px;
	font-weight: 700;
	margin: 0 10px 0 0;
}

input[type="text"]:focus {
	background: #fff;
	color: #000;
}

input[type=reset] {
	background-color: #484848;
	border: none;
	color: #fff;
	padding: 5px 10px;
	border-radius: 2px;
	text-decoration: none;
	font-family: 'Quicksand', sans-serif;
	font-size: 22px;
	cursor: pointer;
	font-weight: 700;
	margin: 0 0 0 10px;
	border: none;
    outline:none;
}

input[type=reset]:hover {
	background-color: #f41f86;
}

input[type="checkbox"] {
	position:absolute;
	visibility:hidden;
	opacity:0;
}

input[type="checkbox"] + label {
	display: flex;
	background: #484848;
	font-weight: 700;
	padding: 5px 10px;
	border-radius: 2px;
	cursor: pointer;
	font-size: 22px;
	text-decoration: none;
}

input[type="checkbox"]:checked + label {
	background: #f41f86;
	text-decoration: none;
}

#evidence {
	margin: 0 0 20px 0;
}

#evidence ul {
	display: inline-grid;
	grid-template-columns: repeat(7, auto);
	grid-gap: 10px;
}

#evidence h2 {
	margin: 0 0 5px 0;
}

#evidence #nightmare_checkbox {
	width: 10em;
	margin: 0 0 5px 0;
}

#evidence p {
	margin: 0 0 15px 0;
}

#evidence_list li {
	list-style: none;
	white-space: nowrap;
	width: auto;
}

#evidence_list ul li.disabled {
	display: none;
}

.evidenceToggle input[type="range"] {
	appearance: none;
	width: 150px;
	height: 32px;
	padding: 1px;
	border-radius: 2px;
	background-color: #484848;
}

.evidenceToggle input[type="range"]::-webkit-slider-thumb  {
	appearance: none;
	height: 30px;
	width: 45px;
	border-radius: 2px;
	background-color: #2f2f2f;
}

.evidenceToggle input[type="range"].yes::-webkit-slider-thumb  {
	background-color: #f41f86;
}

.evidenceToggle input[type="range"].no::-webkit-slider-thumb  {
	background-color: #971a1a;
}

/* Firefox has it's own selectors for ranges and Chrome doesn't play nice with
 * them being combined, so Firefox gets it's own style section
 */
.evidenceToggle input[type="range"]::-moz-range-thumb {
	appearance: none;
	height: 30px;
	width: 45px;
	border-radius: 2px;
	background-color: #2f2f2f;
	border: none;
}

.evidenceToggle input[type="range"].yes::-moz-range-thumb  {
	background-color: #f41f86;
}

.evidenceToggle input[type="range"].no::-moz-range-thumb  {
	background-color: #971a1a;
}

.evidenceToggle label  {
	margin: auto;
	display: block;
}

#ghosts {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
	grid-gap: 16px;
	grid-auto-flow: dense;

}

.ghost {
    transition: opacity 1s ease;
    background: #000;
	position: relative;
}

.fadeout {
	display: none;
}

.fadein {
	display: block;
}

.ghost h3 {
	font-size: 22px;
	transition: color .125s ease;
}

.ghost h3, .ghost h4 {
	margin: 0 0 0.2em 0;
}

.ghost.yes h3 {
	color: #55be61;
}

.ghost.maybe h3 {
	color: #1faef4;
}

.ghost p {
	margin: 0 0 0.8em 0;
	font-size: 13px;
}

.ghost .evidence li {
	list-style: none;
	background-color: #2f2f2f;
	border-radius: 5px;
	padding: 2px;
	text-align: center;
	margin: 0 0 0.4em 0;
	font-weight: 700;
}

.ghost .evidence li.yes {
	background-color: #f41f86;
}

.ghost .evidence li.no {
	background-color: #50092b;
}

.ghost .evidence li.required {
	color: gold;
}


footer {
	margin: 2em 0 0 0;
}

a {
	color: #f41f86;
	font-weight: 700;
	padding: 0 2px;
}

a:hover {
	background: #f41f86;
	color: #fff;
}

@media screen and (max-width: 1000px) {
	#ghost_aggression .row {
		flex-direction: column;
	}
	#aggression_hints {
		width: 100%;
	}
	#objectives {
		margin: 0 0 5px 0;
	}
	#objective_list {
		flex-wrap: wrap;
	}
	#objective_list div {
		margin: 0 10px 20px 0;
	}
	#evidence {
		margin: 0 0 5px 0;
	}
	#evidence ul {
		display: flex;
		flex-wrap: wrap;
	}
	#evidence li {
		margin: 0 0 10px 0;
		white-space: nowrap;
	}
	#ghost_info {
		margin: 0 0 20px 0;
		width: 100%;
	}
	#ghost_info #ghost_name_holder {
		width: 100%;
	}
	#ghost_info .ghost_name {
		width: 100%;
		margin: 0 0 20px 0;
	}
	#ghost_info div {
		flex-wrap: wrap;
	}
	#ghost_info input {
		margin: 0 10px 20px 0;
	}
	#ghost_info label {
		margin: 0 10px 0 0;
	}
	#ghost_info #reset {
		margin: 0;
	}
	#ghosts {
		flex-wrap: wrap;
	}
	.ghost {
		width: 100%;
		border-bottom: 4px solid #f41f86;
		padding: 0 0 20px 0;
	}
}

.excluded ::before {
    display: block;
    position: absolute;
    content: '';
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.1);
}


/* TIMER STYLES */
#timer {
	width: 250px;
	margin-left: 15px;
	text-align: center;
	float: right;
}

#timerDisplay {
	display: grid;
	grid-template-columns: 48% auto 48%;
	gap: 0;
	margin: 0 4px 10px 4px;
	border-radius: 2px;
	font-size: 2em;
}

#timerDisplay > div {
}

#timerDisplay.elapsed {
	background-color: #f41f86;
}


#seconds {
	text-align: right;
}

#tens {
	text-align: left;
}

.timerButtons {
	width: 100%;
	display: flex;
	margin-bottom: 10px;
}

#timer button {
	align-items: center;
	text-align: center;
	outline: none;
	border: none;
	margin: auto;
	width: 30%;
	padding: 5px 0 5px 0;
	border-radius: 2px;
	text-decoration: none;
	color: #000;
	background: #fff;
	font-size: 18px;
	transition: all .125s ease;
}
#timer button:hover {
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
  background-color: #f41f86;
}
